Support » Plugin: Postmark for WordPress » Can’t edit Gravity Form notifications

  • Resolved redkite

    (@redkite)


    When I try to edit the notifications for any form, I now get this after adding the Postmark app. I can edit confirmations and the form with no problems.


    Notifications
    Personal Data

    Fatal error: Uncaught Error: Wrong parameters for Exception([string $message [, long $code [, Throwable $previous = NULL]]]) in /home/s661/html/wp-content/plugins/gravityformspostmark/includes/class-gf-postmark-api.php:226 Stack trace: #0 /home/s661/html/wp-content/plugins/gravityformspostmark/includes/class-gf-postmark-api.php(226): Exception->__construct(‘Request failed….’, ‘http_request_fa…’) #1 /home/s661/html/wp-content/plugins/gravityformspostmark/includes/class-gf-postmark-api.php(130): GF_Postmark_API->make_request(‘server’) #2 /home/s661/html/wp-content/plugins/gravityformspostmark/class-gf-postmark.php(906): GF_Postmark_API->get_current_server() #3 /home/s661/html/wp-content/plugins/gravityformspostmark/class-gf-postmark.php(790): GF_Postmark->validate_server_token(‘a43d449f-9743-4…’) #4 /home/s661/html/wp-content/plugins/gravityformspostmark/class-gf-postmark.php(378): GF_Postmark->initialize_api() #5 /home/s661/html/wp-includes/class-wp-hook.php(289): GF_Postmark->add_notification_service(Array) #6 /home in /home/s661/html/wp-content/plugins/gravityformspostmark/includes/class-gf-postmark-api.php on line 226″

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Patrick Graham

    (@prileygraham)

    Hi @redkite!

    Sorry to hear about this error when editing notifications. Can you please get in touch with Gravity Forms support with this error? It is being generated by their code (line 226 in their class-gf-postmark-api.php file) rather than the Postmark plugin’s codebase, so will need to be investigated on their end.

    While they investigate the cause of the error, I recommend using an SMTP plugin such as WP Mail SMTP instead of the Postmark for WordPress plugin for sending your other email, if the Gravity Forms Postmark Add On has compatibility issues with the Postmark for WordPress plugin.

    You can use your Postmark Server API Token for the SMTP username/password in an SMTP plugin to send emails through Postmark without using the Postmark for WordPress plugin.

    https://postmarkapp.com/developer/user-guide/send-email-with-smtp

    If their team requires any changes to the Postmark for WordPress plugin to improve compatibility, please let us know in this thread.

    Best,

    Patrick

    Thread Starter redkite

    (@redkite)

    Thanks – I’ve notified Gravity Forms and they’re investigating. I disabled the Gravity Forms Postmark addon, but am having no trouble with Postmark for WordPress in general. Sorry for the false alarm.

    @redkite has there been any update from Gravity Forms on your issue?

    Thread Starter redkite

    (@redkite)

    Yes – they released an update that was supposed to have fixed the issue, but it was my fault, I didn’t realize I wasn’t supposed to use both their Postmark plugin and this one together. I removed theirs and kept this one, no further troubles.

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.